var//global
 nVDllHandle:Longword;

//***********************************************************************
function TExtLinkForm.InitVL(Addr:string): Boolean;
var
  VLinit:function(sIPAddr,sIPPort:Pchar):integer;stdcall;
  sTmp:string;
  nRes:integer;
begin
  Result:=False;

  nVDllHandle:=LoadLibrary('ShopVideo.dll');

  if nVDllHandle>32 then
    try
    @VLinit := GetProcAddress(nVDllHandle, 'Initialize');
    nRes:=VLinit(PChar(Addr),'11001');//always 11001
    if nRes<>0 then
      begin
      ShowMessage('Initialize() Error Code='+IntToStr(nRes));
      end
    Else
      Result:=True;
    except
    end;
end;

//***********************************************************************
function TExtLinkForm.VLSendInfo(nCmd: Byte; sStr: String;Channel:integer{1..4}): Boolean;
var
  VLSend:function(nChl:integer;sMsg:Pchar):integer;stdcall;
  nRes:integer;
  sProcName:string;
begin
  Result:=False;

  if nVDllHandle<32 then
    begin
    exit;
    end;

  sStr:=Copy(sStr,1,25);//max!

  if nCmd=1 then
    sProcName:='Head';
  if nCmd=2 then
    sProcName:='Item';

  try
  @VLSend := GetProcAddress(nVDllHandle, PChar(sProcName));
  nRes:=VLSend(Channel,PChar(sStr));
  if nRes<>0 then
    begin
    ShowMessage(sProcName+'() Error Code='+IntToStr(nRes));
    end
  else
    Result:=True;
  except
  end;
end;

//***********************************************************************
function TExtLinkForm.VLSendStat(nStat: Byte; sStr: string;Channel:integer{1..4}): Boolean;
var
  VLStat:function(nChl:integer;sMsg:PChar;
    st1, st2, st3, st4, st5, st6, st7, st8:integer):integer;stdcall;
  nRes:integer;
begin
  Result:=False;

  if nVDllHandle<32 then
    begin
    exit;
    end;

  sStr:=Copy(sStr,1,17);//max

  try
  @VLStat := GetProcAddress(nVDllHandle, 'Status');
  nRes:=VLStat(Channel,PChar(sStr),nStat,0,0,0,0,0,0,0);
  VLClear;//""   3 
  if nRes<>VL_OK then
    begin
    ShowMessage('Status() Error Code='+IntToStr(nRes));
    end
  else
    Result:=True;
  except
  end;
end;

//***********************************************************************
Procedure TExtLinkForm.VLClear();
var
  VLClear:function(nChl:integer):integer;stdcall;
  nRes:integer;
begin
//  , ""   c , 
// 3 .      ShopVideo
  if nVDllHandle<32 then
    begin
    exit;
    end;

  try
  @VLClear := GetProcAddress(nVDllHandle, 'Clear');
  nRes:=VLClear(VidLink.Channel);
  if nRes<>0 then
    begin
    ShowMessage('Clear() Error Code='+IntToStr(nRes));
    end;
  except
  end;
end;

